"""
Some data reflecting current firmware configuration.
"""


class FirmwareConfig:

    # board clock frequency in MHz
    MAIN_CLOCK = 64.

    # fast timer period in milliseconds
    FAST_TIMER_PERIOD_MS = 0.2

    # slow timer period in milliseconds
    SLOW_TIMER_PERIOD_MS = 0.8

    # ADC data alignment
    ADC_ALIGNMENT = 'left'

    # maximum allowed value for a timeout counter (depends on the type used)
    TIMEOUT_COUNTER_MAX = 65535

    # number of adcreader ticks calls per measure
    ADCREADER_CALLS_PER_MEASURE = 2

    if ADC_ALIGNMENT == 'left':
        ADC_NUM_CHANNELS = 65536.
    elif ADC_ALIGNMENT == 'right':
        ADC_NUM_CHANNELS = 1024.
    else:
        assert False

    # this is a static class
    def __init__(self):
        assert False, "Class {} should not be instantiated".format(self.__class__.__name__)






